#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "test_pickle4xi.py">
#<abstract4xi abstract = "tests pickle4xi"/>
#<verify4xi verification = "10" target = "pickle4xi.py"/>
#<contextualize4xi context = "syncmanager4xi.py; token4xi.py; server4xi.py; manager4xi.py; authenticationstring4xi.py; popen4xi.py; lock4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'main',
            'test_pickle4xi']
#"
#/>

# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
try:                 # system ones
    import os
    import sys
    import signal
except:
    pass
try:                 # threading ones       
    import threading                
    import _thread   
except:
    pass
try:
    import _winapi
except:
    pass

                
try:                 # most-common ones
    import array         
except:
    pass
try:                 # rare ones
    from cPickle import PicklingError          
except ImportError:
    from pickle import PicklingError
try:                 # imported-as ones 
    pass          
except:
    pass            
#"
#/>

# -------------------------------------------------------------------------------------------------
# Multiprocessing Imports                          
# -------------------------------------------------------------------------------------------------
#<process4xi process = "
try:                             # Binary ones
    import _multiprocessing
except:
    pass
try:                             # Python ones
    pass
except:
    pass
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
# --------
#    [A]
# --------
from ace_object4xi import ace_object4xi
from acquirerproxy4xi import AcquirerProxy4Xi
from active_children4xi import active_children4xi
from address_type4xi import address_type4xi
from after_fork4xi import AfterFork4Xi
from after_fork4xi import init_afterfork_registry4xi
from after_fork4xi import get_afterfork_registry4xi
from after_fork4xi import set_afterfork_registry4xi
from after_fork4xi import init_afterfork_counter4xi
from after_fork4xi import get_afterfork_counter4xi
from after_fork4xi import set_afterfork_counter4xi
from after_fork4xi import init_all_after_fork4xi
from after_fork4xi import get_all_after_fork4xi
from after_fork4xi import set_all_after_fork4xi
from all_methods4xi import all_methods4xi
from answer_challenge4xi import answer_challenge4xi
from applyresult4xi import ApplyResult4Xi
from arbitrary_address4xi import arbitrary_address4xi
from arena4xi import Arena4Xi
from array4xi import Array4Xi
from arrayfunction4xi import ArrayFunction4Xi
from arrayproxy4xi import ArrayProxy4Xi
from assert_spawning4xi import assert_spawning4xi
from authentication4xi import AuthenticationError4Xi
from authenticationstring4xi import AuthenticationString4Xi
from autoproxy4xi import AutoProxy4Xi

# --------
#    [B]
# --------
from baseproxy4xi import BaseProxy4Xi
from baselistproxy4xi import BaseListProxy4Xi
from basemanager4xi import BaseManager4Xi
from baseproxy4xi import BaseProxy4Xi
from boundedsemaphore4xi import BoundedSemaphore4Xi
from buffertooshort4xi import BufferTooShort4Xi
from bufferwrapper4xi import BufferWrapper4Xi

# --------
#    [C]
# --------
from client4xi import Client4Xi
from close4xi import close4xi
from condition4xi import Condition4Xi
from conditionproxy4xi import ConditionProxy4Xi
from cpu_corecount4xi import cpu_corecount4xi
from constant_family4xi import init_af_inet4xi
from constant_family4xi import init_af_unix4xi
from constant_family4xi import init_af_pipe4xi
from constant_family4xi import set_af_inet4xi
from constant_family4xi import set_af_unix4xi
from constant_family4xi import set_af_pipe4xi
from constant_family4xi import get_af_inet4xi
from constant_family4xi import get_af_unix4xi
from constant_family4xi import get_af_pipe4xi
from constant_family4xi import init_default_family4xi
from constant_family4xi import init_families4xi
from constant_family4xi import set_default_family4xi
from constant_family4xi import set_families4xi
from constant_family4xi import get_default_family4xi
from constant_family4xi import get_families4xi
from constant_family4xi import ConstantFamily4Xi
from constant_family4xi import constant_family4xi
from constant_forking4xi import ConstantForking4Xi
from constant_forking4xi import constant_forking4xi
from constant_forking4xi import init_terminate_forking4xi
from constant_forking4xi import get_terminate_forking4xi
from constant_forking4xi import set_terminate_forking4xi
from constant_forking4xi import init_winexe_forking4xi
from constant_forking4xi import get_winexe_forking4xi
from constant_forking4xi import set_winexe_forking4xi
from constant_forking4xi import init_all_forking4xi
from constant_forking4xi import get_all_forking4xi
from constant_forking4xi import set_all_forking4xi
from constant_connection4xi import constant_connection4xi
from constant_connection4xi import ConstantConnection4Xi 
from constant_connection4xi import init_message_length4xi
from constant_connection4xi import set_message_length4xi
from constant_connection4xi import get_message_length4xi
from constant_connection4xi import init_challenge4xi
from constant_connection4xi import set_challenge4xi
from constant_connection4xi import get_challenge4xi
from constant_connection4xi import init_welcome4xi
from constant_connection4xi import set_welcome4xi
from constant_connection4xi import get_welcome4xi
from constant_connection4xi import init_failure4xi
from constant_connection4xi import set_failure4xi
from constant_connection4xi import get_failure4xi
from constant_connection4xi import init_max_response_message_length4xi
from constant_connection4xi import set_max_response_message_length4xi
from constant_connection4xi import get_max_response_message_length4xi
from constant_connection4xi import init_localhost4xi
from constant_connection4xi import set_localhost4xi
from constant_connection4xi import get_localhost4xi
from constant_connection4xi import init_buffersize4xi
from constant_connection4xi import set_buffersize4xi
from constant_connection4xi import get_buffersize4xi
from constant_heap4xi import init_alignment4xi
from constant_heap4xi import set_alignment4xi
from constant_heap4xi import get_alignment4xi
from constant_heap4xi import ConstantHeap4Xi
from constant_heap4xi import constant_heap4xi
from constant_managers4xi import ConstantManagers4Xi
from constant_managers4xi import init_allconstants_managers4xi
from constant_managers4xi import get_allconstants_managers4xi
from constant_managers4xi import set_allconstants_managers4xi
from constant_managers4xi import constant_managers4xi
from constant_managers4xi import init_backlog_manager4xi
from constant_managers4xi import set_backlog_manager4xi
from constant_managers4xi import get_backlog_manager4xi
from constant_managers4xi import init_clear_manager4xi
from constant_managers4xi import set_clear_manager4xi
from constant_managers4xi import get_clear_manager4xi
from constant_managers4xi import init_create_manager4xi
from constant_managers4xi import set_create_manager4xi
from constant_managers4xi import get_create_manager4xi
from constant_managers4xi import init_debug_info_manager4xi
from constant_managers4xi import set_debug_info_manager4xi
from constant_managers4xi import get_debug_info_manager4xi
from constant_managers4xi import init_dummy_manager4xi
from constant_managers4xi import set_dummy_manager4xi
from constant_managers4xi import get_dummy_manager4xi
from constant_managers4xi import init_error_manager4xi
from constant_managers4xi import set_error_manager4xi
from constant_managers4xi import get_error_manager4xi
from constant_managers4xi import init_exitpriority_manager4xi
from constant_managers4xi import set_exitpriority_manager4xi
from constant_managers4xi import get_exitpriority_manager4xi
from constant_managers4xi import init_getvalue_manager4xi
from constant_managers4xi import set_getvalue_manager4xi
from constant_managers4xi import get_getvalue_manager4xi
from constant_managers4xi import init_id_manager4xi
from constant_managers4xi import set_id_manager4xi
from constant_managers4xi import get_id_manager4xi
from constant_managers4xi import init_initial_manager4xi
from constant_managers4xi import set_initial_manager4xi
from constant_managers4xi import get_initial_manager4xi
from constant_managers4xi import init_is_set_manager4xi
from constant_managers4xi import set_is_set_manager4xi
from constant_managers4xi import get_is_set_manager4xi
from constant_managers4xi import init_number_of_objects_manager4xi
from constant_managers4xi import set_number_of_objects_manager4xi
from constant_managers4xi import get_number_of_objects_manager4xi
from constant_managers4xi import init_pickle_manager4xi
from constant_managers4xi import set_pickle_manager4xi
from constant_managers4xi import get_pickle_manager4xi
from constant_managers4xi import init_proxy_manager4xi
from constant_managers4xi import set_proxy_manager4xi
from constant_managers4xi import get_proxy_manager4xi
from constant_managers4xi import init_return_manager4xi
from constant_managers4xi import set_return_manager4xi
from constant_managers4xi import get_return_manager4xi
from constant_managers4xi import init_set_manager4xi
from constant_managers4xi import set_set_manager4xi
from constant_managers4xi import get_set_manager4xi
from constant_managers4xi import init_shutdown_manager4xi
from constant_managers4xi import set_shutdown_manager4xi
from constant_managers4xi import get_shutdown_manager4xi
from constant_managers4xi import init_started_manager4xi
from constant_managers4xi import set_started_manager4xi
from constant_managers4xi import get_started_manager4xi
from constant_managers4xi import init_stop_manager4xi
from constant_managers4xi import set_stop_manager4xi
from constant_managers4xi import get_stop_manager4xi
from constant_managers4xi import init_traceback_manager4xi
from constant_managers4xi import set_traceback_manager4xi
from constant_managers4xi import get_traceback_manager4xi
from constant_managers4xi import init_typeid_manager4xi
from constant_managers4xi import set_typeid_manager4xi
from constant_managers4xi import get_typeid_manager4xi
from constant_managers4xi import init_unserializable_manager4xi
from constant_managers4xi import set_unserializable_manager4xi
from constant_managers4xi import get_unserializable_manager4xi
from constant_managers4xi import init_value_manager4xi
from constant_managers4xi import set_value_manager4xi
from constant_managers4xi import get_value_manager4xi
from constant_managers4xi import init_wait_manager4xi
from constant_managers4xi import set_wait_manager4xi
from constant_managers4xi import get_wait_manager4xi
from constant_managers4xi import init_26pppppppp4xi
from constant_managers4xi import set_26pppppppp4xi
from constant_managers4xi import get_26pppppppp4xi
from constant_managers4xi import init_27pppppppp4xi
from constant_managers4xi import set_27pppppppp4xi
from constant_managers4xi import get_27pppppppp4xi
from constant_managers4xi import init_28pppppppp4xi
from constant_managers4xi import set_28pppppppp4xi
from constant_managers4xi import get_28pppppppp4xi
from constant_managers4xi import init_29pppppppp4xi
from constant_managers4xi import set_29pppppppp4xi
from constant_managers4xi import get_29pppppppp4xi
from constant_managers4xi import init_30pppppppp4xi
from constant_managers4xi import set_30pppppppp4xi
from constant_managers4xi import get_30pppppppp4xi
from constant_managers4xi import init_31pppppppp4xi
from constant_managers4xi import set_31pppppppp4xi
from constant_managers4xi import get_31pppppppp4xi
from constant_managers4xi import init_32pppppppp4xi
from constant_managers4xi import set_32pppppppp4xi
from constant_managers4xi import get_32pppppppp4xi
from constant_managers4xi import init_33pppppppp4xi
from constant_managers4xi import set_33pppppppp4xi
from constant_managers4xi import get_33pppppppp4xi
from constant_pool4xi import ConstantPool4Xi
from constant_pool4xi import init_all_pool4xi
from constant_pool4xi import get_all_pool4xi
from constant_pool4xi import set_all_pool4xi
from constant_pool4xi import constant_pool4xi
from constant_pool4xi import init_run_pool4xi
from constant_pool4xi import get_run_pool4xi
from constant_pool4xi import set_run_pool4xi
from constant_pool4xi import init_close_pool4xi
from constant_pool4xi import get_close_pool4xi
from constant_pool4xi import set_close_pool4xi
from constant_pool4xi import init_terminate_pool4xi
from constant_pool4xi import get_terminate_pool4xi
from constant_pool4xi import set_terminate_pool4xi
from constant_pool4xi import init_exitpriority_pool4xi
from constant_pool4xi import get_exitpriority_pool4xi
from constant_pool4xi import set_exitpriority_pool4xi
from constant_pool4xi import init_job_counter_pool4xi
from constant_pool4xi import get_job_counter_pool4xi
from constant_pool4xi import set_job_counter_pool4xi
from constant_pool4xi import next_job_counter_pool4xi
from constant_process4xi import constant_process4xi
from constant_process4xi import ConstantProcess4Xi
from constant_process4xi import init_all_process4xi
from constant_process4xi import get_all_process4xi
from constant_process4xi import set_all_process4xi
from constant_process4xi import constant_process4xi
from constant_process4xi import init_run_process4xi
from constant_process4xi import get_run_process4xi
from constant_process4xi import set_run_process4xi
from constant_process4xi import init_close_process4xi
from constant_process4xi import get_close_process4xi
from constant_process4xi import set_close_process4xi
from constant_process4xi import init_terminate_process4xi
from constant_process4xi import get_terminate_process4xi
from constant_process4xi import set_terminate_process4xi
from constant_process4xi import init_started_process4xi
from constant_process4xi import get_started_process4xi
from constant_process4xi import set_started_process4xi
from constant_process4xi import init_unknown_process4xi
from constant_process4xi import get_unknown_process4xi
from constant_process4xi import set_unknown_process4xi
from constant_process4xi import init_initial_process4xi
from constant_process4xi import get_initial_process4xi
from constant_process4xi import set_initial_process4xi
from constant_process4xi import init_stopped_process4xi
from constant_process4xi import get_stopped_process4xi
from constant_process4xi import set_stopped_process4xi
from constant_process4xi import init_exitcode_to_name4xi
from constant_process4xi import get_exitcode_to_name4xi
from constant_process4xi import set_exitcode_to_name4xi
from constant_synchronize4xi import constant_synchronize4xi
from constant_synchronize4xi import ConstantSynchronize4Xi
from constant_synchronize4xi import init_all_synchronize4xi
from constant_synchronize4xi import set_all_synchronize4xi
from constant_synchronize4xi import get_all_synchronize4xi
from constant_synchronize4xi import init_recursive_mutex_synchronize4xi
from constant_synchronize4xi import get_recursive_mutex_synchronize4xi
from constant_synchronize4xi import set_recursive_mutex_synchronize4xi
from constant_synchronize4xi import init_semaphore_synchronize4xi
from constant_synchronize4xi import get_semaphore_synchronize4xi
from constant_synchronize4xi import set_semaphore_synchronize4xi
from constant_synchronize4xi import init_sem_value_synchronize4xi
from constant_synchronize4xi import get_sem_value_synchronize4xi
from constant_synchronize4xi import set_sem_value_synchronize4xi
from constant_synchronize4xi import init_sem_value_max_synchronize4xi
from constant_synchronize4xi import get_sem_value_max_synchronize4xi
from constant_synchronize4xi import set_sem_value_max_synchronize4xi
from constant_system4xi import ConstantSystem4Xi
from constant_system4xi import constant_system4xi    
from constant_system4xi import init_all_system4xi
from constant_system4xi import set_all_system4xi
from constant_system4xi import get_all_system4xi
from constant_system4xi import get_one_constant_system4xi
from constant_system4xi import init_windows_system4xi
from constant_system4xi import get_windows_system4xi
from constant_system4xi import set_windows_system4xi
from constant_util4xi import ConstantUtil4Xi
from constant_util4xi import init_all_util4xi
from constant_util4xi import set_all_util4xi
from constant_util4xi import get_all_util4xi
from constant_util4xi import get_one_constant_util4xi
from constant_util4xi import init_notset_util4xi
from constant_util4xi import get_notset_util4xi
from constant_util4xi import set_notset_util4xi
from constant_util4xi import init_subdebug_util4xi
from constant_util4xi import get_subdebug_util4xi
from constant_util4xi import set_subdebug_util4xi
from constant_util4xi import init_debug_util4xi
from constant_util4xi import get_debug_util4xi
from constant_util4xi import set_debug_util4xi
from constant_util4xi import init_info_util4xi
from constant_util4xi import get_info_util4xi
from constant_util4xi import set_info_util4xi
from constant_util4xi import init_subwarning_util4xi
from constant_util4xi import get_subwarning_util4xi
from constant_util4xi import set_subwarning_util4xi
from constant_util4xi import init_logger_name_util4xi
from constant_util4xi import get_logger_name_util4xi
from constant_util4xi import set_logger_name_util4xi
from constant_util4xi import init_default_logging_format_util4xi
from constant_util4xi import get_default_logging_format_util4xi
from constant_util4xi import set_default_logging_format_util4xi
from constant_logger4xi import ConstantLogger4Xi
from constant_logger4xi import init_notset4xi
from constant_logger4xi import set_notset4xi
from constant_logger4xi import get_notset4xi
from constant_logger4xi import init_subdebug4xi
from constant_logger4xi import set_subdebug4xi
from constant_logger4xi import get_subdebug4xi
from constant_logger4xi import init_debug4xi
from constant_logger4xi import set_debug4xi
from constant_logger4xi import get_debug4xi
from constant_logger4xi import init_subwarning4xi
from constant_logger4xi import set_subwarning4xi
from constant_logger4xi import get_subwarning4xi
from constant_logger4xi import init_info4xi
from constant_logger4xi import set_info4xi
from constant_logger4xi import get_info4xi
from constant_logger4xi import init_logger_name4xi
from constant_logger4xi import set_logger_name4xi
from constant_logger4xi import get_logger_name4xi
from constant_logger4xi import init_subwarning4xi
from constant_logger4xi import set_subwarning4xi
from constant_logger4xi import get_subwarning4xi
from constant_logger4xi import init_default_logging_format_logger4xi
from constant_logger4xi import set_default_logging_format_logger4xi
from constant_logger4xi import get_default_logging_format_logger4xi
from connectionwrapper4xi import ConnectionWrapper4Xi
from convert_to_error4xi import convert_to_error4xi
from current_process4xi import CurrentProcess4Xi
from current_process4xi import init_all_current_process4xi
from current_process4xi import set_all_current_process4xi
from current_process4xi import get_all_current_process4xi
from current_process4xi import get_one_current_process4xi
from current_process4xi import value_current_process4xi
from current_process4xi import init_current_process4xi
from current_process4xi import get_current_process4xi
from current_process4xi import set_current_process4xi
from current_process4xi import init_inheriting_current_process4xi
from current_process4xi import get_inheriting_current_process4xi
from current_process4xi import set_inheriting_current_process4xi
from current_process4xi import init_authkey_current_process4xi
from current_process4xi import get_authkey_current_process4xi
from current_process4xi import set_authkey_current_process4xi
from current_process4xi import init_identity_current_process4xi
from current_process4xi import get_identity_current_process4xi
from current_process4xi import set_identity_current_process4xi
from current_process4xi import init_name_current_process4xi
from current_process4xi import get_name_current_process4xi
from current_process4xi import set_name_current_process4xi
from current_process4xi import init_counter_current_process4xi
from current_process4xi import get_counter_current_process4xi
from current_process4xi import set_counter_current_process4xi
from current_process4xi import init_daemonic_current_process4xi
from current_process4xi import get_daemonic_current_process4xi
from current_process4xi import set_daemonic_current_process4xi
from current_process4xi import init_tempdir_current_process4xi
from current_process4xi import get_tempdir_current_process4xi
from current_process4xi import set_tempdir_current_process4xi
from current_process4xi import add_child_current_process4xi
from current_process4xi import discard_child_current_process4xi
from current_process4xi import get_children_current_process4xi
from current_process4xi import list_children_current_process4xi
from current_process4xi import init_manager_server_current_process4xi
from current_process4xi import get_manager_server_current_process4xi
from current_process4xi import set_manager_server_current_process4xi

# --------
#    [D]
# --------
from date4xi import date4xi
from debug4xi import debug4xi
from debug_info4xi import debug_info4xi
from deliver_challenge4xi import deliver_challenge4xi
from dictproxy4xi import DictProxy4Xi
from dispatch4xi import dispatch4xi
from dummyprocess4xi import DummyProcess4Xi
from dump4xi import dump4xi
from duplicate4xi import duplicate4xi

# --------
#    [E]
# --------
from event4xi import Event4Xi
from eventproxy4xi import EventProxy4Xi

# --------
#    [F]
# --------
from finalize4xi import Finalize4Xi
from finalizer4xi import Finalizer4Xi
from finalizer4xi import init_all_finalizer4xi            
from finalizer4xi import get_finalizer_counter4xi                        
from finalizer4xi import next_finalizer_counter4xi
from finalizer4xi import init_finalizer_counter4xi
from finalizer4xi import del_finalizer_registry_element4xi
from finalizer4xi import set_finalizer_registry_element4xi                        
from finalizer4xi import get_finalizer_registry_element4xi
from finalizer4xi import get_finalizer_registry4xi
from finalizer4xi import clear_finalizer_registry4xi                        
from finalizer4xi import init_finalizer_registry4xi
from forkawarelocal4xi import ForkAwareLocal4Xi
from forkawarethreadlock4xi import ForkAwareThreadLock4Xi
from forkingpickler4xi import ForkingPickler4Xi
from format4xi import Format4Xi
from format4xi import format4xi
from fromfd4xi import fromfd4xi

# --------
#    [G]
# --------
from get_command_line4xi import get_command_line4xi
from get_logger4xi import get_logger4xi
from get_temp_dir4xi import get_temp_dir4xi
from get_preparation_data4xi import get_preparation_data4xi
from get_temp_dir4xi import get_temp_dir4xi

# --------
#    [H]
# --------
from heap4xi import Heap4Xi


# --------
#    [I]
# --------
from info4xi import info4xi
from imapiterator4xi import IMapIterator4Xi
from imapunorderediterator4xi import IMapUnorderedIterator4Xi
from is_exiting4xi import is_exiting4xi
from is_exiting4xi import init_exiting4xi
from is_exiting4xi import set_exiting4xi
from is_exiting4xi import get_exiting4xi
from is_forking4xi import is_forking4xi
from iteratorproxy4xi import IteratorProxy4Xi

# --------
#    [J]
# --------
from joinablequeue4xi import JoinableQueue4Xi


# --------
#    [K]
# --------
from kskeleton4xi import KSkeleton4Xi
from kskeleton4xi import init_kskeleton4xi

# --------
#    [L]
# --------
from listener4xi import Listener4Xi
from listener_client4xi import listener_client4xi
from listproxy4xi import ListProxy4Xi
from lock4xi import Lock4Xi
from log_to_stderr4xi import log_to_stderr4xi
from logger4xi import set_logger4xi 
from logger4xi import get_logger4xi
from logger4xi import set_log_to_stderr4xi
from logger4xi import get_log_to_stderr4xi
from logger4xi import Logger4Xi


# --------
#    [M]
# --------
from make_property4xi import make_property4xi
from makeproxytype4xi import MakeProxyType4Xi
from manager4xi import Manager4Xi
from mapresult4xi import MapResult4Xi
from mapstar4xi import mapstar4xi

# --------
#    [N]
# --------
from namespace4xi import Namespace4Xi
from namespaceproxy4xi import NamespaceProxy4Xi
from _new_value4xi import _new_value4xi

# --------
#    [O]
# --------
from original_dir4xi import original_dir4xi
from original_dir4xi import init_original_dir4xi
from original_dir4xi import get_original_dir4xi
from original_dir4xi import set_original_dir4xi
from original_dir4xi import OriginalDir4Xi 


# --------
#    [P]
# --------
from pickle4xi import pickle4xi
from pickle2a4xi import Pickle2a4Xi
from pickle2b4xi import Pickle2b4Xi
from pickle2c4xi import Pickle2c4Xi
from pickle2d4xi import Pickle2d4Xi
from pickle2e4xi import Pickle2e4Xi
from pickle2f4xi import Pickle2f4Xi
from pickle2g4xi import Pickle2g4Xi
from pickle2h4xi import Pickle2h4Xi
from pickle2i4xi import Pickle2i4Xi
from pickle2j4xi import Pickle2j4Xi
from pickle2k4xi import Pickle2k4Xi
from pickle2l4xi import Pickle2l4Xi
from pickle2m4xi import Pickle2m4Xi
from pickle2n4xi import Pickle2n4Xi
from pickle2o4xi import Pickle2o4Xi
from pickle2p4xi import Pickle2p4Xi
from pickle2q4xi import Pickle2q4Xi
from pickle2r4xi import Pickle2r4Xi
from pickle2s4xi import Pickle2s4Xi
from pickle2t4xi import Pickle2t4Xi
from pickle2u4xi import Pickle2u4Xi
from pickle2v4xi import Pickle2v4Xi
from pickle2w4xi import Pickle2w4Xi
from pickle2x4xi import Pickle2x4Xi
from pickle2y4xi import Pickle2y4Xi
from pickle2z4xi import Pickle2z4Xi
from pickle2_4xi import Pickle2_4Xi
from pipe4xi import Pipe4Xi
from pipeclient4xi import PipeClient4Xi
from pipelistener4xi import PipeListener4Xi
from pool4xi import Pool4Xi
from poolproxy4xi import PoolProxy4Xi
from popen4xi import Popen4Xi
from popen4xi import main
from print4xi import Print4Xi
from print4xi import print4xi
from print4xi import ace_print4xi
from print4xi import init_all_print_objects4xi
from print4xi import init_all_print_objects4xi
from print4xi import init_alphabeticalgroup_print4xi
from print4xi import init_a_print_objects4xi
from print4xi import init_b_print_objects4xi
from print4xi import init_c_print_objects4xi        
from print4xi import init_d_print_objects4xi        
from print4xi import init_e_print_objects4xi            
from print4xi import init_f_print_objects4xi            
from print4xi import init_g_print_objects4xi         
from print4xi import init_h_print_objects4xi         
from print4xi import init_i_print_objects4xi         
from print4xi import init_j_print_objects4xi         
from print4xi import init_k_print_objects4xi            
from print4xi import init_l_print_objects4xi         
from print4xi import init_m_print_objects4xi         
from print4xi import init_n_print_objects4xi         
from print4xi import init_o_print_objects4xi         
from print4xi import init_p_print_objects4xi            
from print4xi import init_q_print_objects4xi         
from print4xi import init_r_print_objects4xi         
from print4xi import init_s_print_objects4xi         
from print4xi import init_t_print_objects4xi         
from print4xi import init_u_print_objects4xi            
from print4xi import init_v_print_objects4xi         
from print4xi import init_w_print_objects4xi         
from print4xi import init_x_print_objects4xi         
from print4xi import init_y_print_objects4xi         
from print4xi import init_z_print_objects4xi            
from print4xi import init___print_objects4xi 
from print4xi import get_len_alphabeticalgroup_print4xi
from print4xi import get_print_permission4xi
from print4xi import print_init_all4xi
from print4xi import print_class_method4xi
from print4xi import reason_print4xi
from print4xi import sense_print4xi
from print4xi import set_print_permission4xi
from private_methods4xi import private_methods4xi
from processerror4xi import ProcessError4Xi
from process4xi import Process4Xi
from prepare4xi import prepare4xi
from processlocalset4xi import ProcessLocalSet4Xi
from public_methods4xi import public_methods4xi



# --------
#    [Q]
# --------
from queue4xi import Queue4Xi

# --------
#    [R]
# --------
from rawarray4xi import RawArray4Xi
from reason_object4xi import reason_object4xi
from recv_handle4xi import recv_handle4xi
from rebuild_as_list4xi import rebuild_as_list4xi
from rebuild_ctype4xi import rebuild_ctype4xi
from rebuild_handle4xi import rebuild_handle4xi
from rebuildproxy4xi import RebuildProxy4Xi
from rebuild_socket4xi import rebuild_socket4xi
from reduce_array4xi import reduce_array4xi
from reduce_connection4xi import reduce_connection4xi
from reduce_ctype4xi import reduce_ctype4xi
from reduce_handle4xi import reduce_handle4xi
from reduce_pipe_connection4xi import reduce_pipe_connection4xi
from register_after_fork4xi import register_after_fork4xi
from remoteerror4xi import RemoteError4Xi
from rlock4xi import RLock4Xi

# --------
#    [S]
# --------
from semaphore4xi import Semaphore4Xi
from semlock4xi import SemLock4Xi
from send_handle4xi import send_handle4xi
from sense_object4xi import sense_object4xi
from server4xi import Server4Xi
from set_logger4xi import set_logger4xi
from set_log_to_stderr4xi import set_log_to_stderr4xi
from simplequeue4xi import SimpleQueue4Xi
from skeleton_print4xi import SkeletonPrint4Xi
from skeleton_print4xi import skeleton_print4xi
from socketclient4xi import SocketClient4Xi
from socketlistener4xi import SocketListener4Xi
from state4xi import State4Xi
from sub_debug4xi import sub_debug4xi
from sub_warning4xi import sub_warning4xi
from syncmanager4xi import SyncManager4Xi
from synchronizedbase4xi import SynchronizedBase4Xi
from synchronized_function4xi import synchronized_function4xi
from synchronizedstring4xi import SynchronizedString4Xi
from synchronizedarray4xi import SynchronizedArray4Xi
from synchronizedbase4xi import SynchronizedBase4Xi
from synchronized4xi import Synchronized4Xi

# --------
#    [T]
# --------
from terminate4xi import terminate4xi
from threadpool4xi import ThreadPool4Xi
from time4xi import time4xi
from timeouterror4xi import TimeoutError4Xi
from token4xi import Token4Xi


# --------
#    [U]
# --------
from uskeleton4xi import USkeleton4Xi
from uskeleton4xi import init_uskeleton4xi
from uskeleton4xi import set_uskeleton4xi
from uskeleton4xi import get_uskeleton4xi

# --------
#    [V]
# --------
from value4xi import Value4Xi
from valuefunction4xi import ValueFunction4Xi
from valueproxy4xi import ValueProxy4Xi
from verb4xi import Verb4Xi
from verb4xi import sense_verb4xi
from verb4xi import reason_verb4xi
from verb4xi import ace_verb4xi
from verb4xi import xml_verb4xi
from verb2a4xi import Verb2a4Xi
from verb2b4xi import Verb2b4Xi
from verb2c4xi import Verb2c4Xi
from verb2d4xi import Verb2d4Xi
from verb2e4xi import Verb2e4Xi
from verb2f4xi import Verb2f4Xi
from verb2g4xi import Verb2g4Xi
from verb2h4xi import Verb2h4Xi
from verb2i4xi import Verb2i4Xi
from verb2j4xi import Verb2j4Xi
from verb2k4xi import Verb2k4Xi
from verb2l4xi import Verb2l4Xi
from verb2m4xi import Verb2m4Xi
from verb2n4xi import Verb2n4Xi
from verb2o4xi import Verb2o4Xi
from verb2p4xi import Verb2p4Xi
from verb2q4xi import Verb2q4Xi
from verb2r4xi import Verb2r4Xi
from verb2s4xi import Verb2s4Xi
from verb2t4xi import Verb2t4Xi
from verb2u4xi import Verb2u4Xi
from verb2v4xi import Verb2v4Xi
from verb2w4xi import Verb2w4Xi
from verb2x4xi import Verb2x4Xi
from verb2y4xi import Verb2y4Xi
from verb2z4xi import Verb2z4Xi
from verb2_4xi import Verb2_4Xi

# --------
#    [W]
# --------
from worker4xi import worker4xi

# --------
#    [X]
# --------
from xmlclient4xi import XmlClient4Xi
from xmllistener4xi import XmlListener4Xi

# --------
#    [Y]
# --------
from yskeleton4xi import YSkeleton4Xi
from yskeleton4xi import init_yskeleton4xi

# --------
#    [Z]
# --------
from zskeleton4xi import ZSkeleton4Xi
from zskeleton4xi import init_zskeleton4xi

# --------
#    [_]
# --------
from _bootstrap4xi import _bootstrap4xi
from _cache4xi import init_cache4xi
from _cache4xi import get_cache4xi
from _cache4xi import reset_cache4xi
from _cache4xi import clear_cache4xi
from _cache4xi import close_cache4xi
from _cache4xi import sense_cache4xi
from _cache4xi import reason_cache4xi
from _cache4xi import ace_cache4xi
from _cache4xi import add_cache4xi
from _cache4xi import remove_cache4xi
from _check_logger_class4xi import _check_logger_class4xi
from _cleanup4xi import _cleanup4xi
from _exit_function4xi import _exit_function4xi
from _c4xi import _C4Xi
from _finalizer4xi import _finalizer4xi
from _get_listener4xi import _get_listener4xi
from _listener4xi import init_listener4xi
from _listener4xi import set_listener4xi
from _listener4xi import get_listener4xi
from _listener4xi import reset_listener4xi
from _listener4xi import sense_listener4xi
from _listener4xi import reason_listener4xi
from _listener4xi import ace_listener4xi
from _lock4xi import init_lock4xi
from _lock4xi import get_lock4xi
from _lock4xi import acquire_lock4xi
from _lock4xi import release_lock4xi
from _lock4xi import reset_lock4xi
from _lock4xi import sense_lock4xi
from _lock4xi import reason_lock4xi
from _lock4xi import ace_lock4xi
from _lock4xi import acquire_lock4xi
from _mainprocess4xi import _MainProcess4Xi
from _new_value4xi import _new_value4xi
from _reduce_method_descriptor4xi import _reduce_method_descriptor4xi
from _run_after_forkers4xi import _run_after_forkers4xi 
from _run_finalizers4xi import _run_finalizers4xi
from _rebuild_partial4xi import _rebuild_partial4xi
from _reduce_method4xi import _reduce_method4xi
from _reduce_partial4xi import _reduce_partial4xi
from _reset4xi import _reset4xi
from _run_finalizers4xi import _run_finalizers4xi
from _run_after_forkers4xi import _run_after_forkers4xi
from _serve4xi import _serve4xi
from _xml_dumps4xi import _xml_dumps4xi
from _xml_loads4xi import _xml_loads4xi
from xml_trace_sense4xi import xml_trace_sense4xi
from xml_trace_reason4xi import xml_trace_reason4xi
from xml_trace_ace4xi import xml_trace_ace4xi
#"
#/>



# -------------------------------------------------------------------------------------------------
# Global constants                            
# ------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "
global t2xi 
global trace_object_count
global PickleKB4Xi

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
PickleKB4Xi = {
       'a': Pickle2a4Xi,
       'b': Pickle2b4Xi,
       'c': Pickle2c4Xi,
       'd': Pickle2d4Xi,
       'e': Pickle2e4Xi,
       'f': Pickle2f4Xi,
       'g': Pickle2g4Xi,
       'h': Pickle2h4Xi,
       'i': Pickle2i4Xi,
       'j': Pickle2j4Xi,
       'k': Pickle2k4Xi,
       'l': Pickle2l4Xi,
       'm': Pickle2m4Xi,
       'n': Pickle2n4Xi,
       'o': Pickle2o4Xi,
       'p': Pickle2p4Xi,
       'q': Pickle2q4Xi,
       'r': Pickle2r4Xi,
       's': Pickle2s4Xi,
       't': Pickle2t4Xi,
       'u': Pickle2u4Xi,
       'v': Pickle2v4Xi,
       'w': Pickle2w4Xi,
       'x': Pickle2x4Xi,
       'y': Pickle2y4Xi,
       'z': Pickle2z4Xi,
       '_': Pickle2_4Xi} 
#"
#"/>

# -------------------------------------------------------------------------------------------------
#<function4xi function = "set_trace4xi" usage = "
#   setting trace
#">                      
#<state4xi status = "ACK4review; ACK4tagging; NACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_trace4xi():
    global t2xi 
    global trace_object_count


    t2xi = Print4Xi()
    set_param2xi = True  
    
        
    # -----------------------------------------------------------------------------------------    
    # 
    # -----------------------------------------------------------------------------------------     
    key_param = 'pickle4xi'
    t2xi.set_print_permission(key_param, set_param2xi)
    
    key_param = 'ForkingPickler4Xi'
    t2xi.set_print_permission(key_param, set_param2xi) 
    
    key_param = 'rebuild_as_list4xi'
    t2xi.set_print_permission(key_param, set_param2xi) 
       
#</function4xi>

# -------------------------------------------------------------------------------------------------
#<function4xi function = "print_trace4xi" usage = "
#   printing trace
#">                    
#<state4xi status = "ACK4review; ACK4tagging; NACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def print_trace4xi(t2xi):



    # -------------------------------------------------------------------------------------------------
    # SENSE                        
    # -------------------------------------------------------------------------------------------------  
   
    context2sense = {
     'file_path4xi': '..\\..\\xml\\sense-pickle4xi.xml',
     'name_space4xi': '   xmlns="http://www.dragonxi2.com/sense/sw4xi/python32/owl/multiprocessing4xi.owl#"\n',
     'xml_base4xi': '   xml:base="http://www.yourdragonxi.org/web/lib/owl/multiprocessing4xi.owl">\n',
     'ontology_about4xi': '   <owl:Ontology rdf:about="Sensing of Multiprocessing4Xi">\n',
     'ontology_comment4xi': '      <rdfs:comment xml:lang="en">Classes, methods and messages with context.</rdfs:comment>\n',
     'class0_id4xi': '   <owl:Class rdf:ID="Dragon4Xi#000000">\n',
     'class0_comment4xi': '      <rdfs:comment xml:lang="en">Sensing pickle4xi in Multiprocessing.</rdfs:comment>\n',
     'object_property_rdf4xi': '   <owl:ObjectProperty rdf:ID="sensed#000000">\n',
     'object_property_comment4xi': '       <rdfs:comment xml:lang="en">Classes, Methods and Messages for pickle4xi in Multiprocessing.</rdfs:comment>\n'}
      
    xml_trace_sense4xi(t2xi, context2sense)

    # -------------------------------------------------------------------------------------------------
    # REASON                         
    # -------------------------------------------------------------------------------------------------  
        
    context2reason = {
     'file_path4xi': '..\\..\\xml\\reason-pickle4xi.xml',
     'name_space4xi': '   xmlns="http://www.dragonxi4.com/reason/sw4xi/python32/owl/multiprocessing4xi.owl#"\n',
     'xml_base4xi': '   xml:base="http://www.dragonxi4.com/reason/sw4xi/python32/owl/multiprocessing4xi.owl">\n',
     'ontology_about4xi': '   <owl:Ontology rdf:about="Reasoning of Multiprocessing4Xi">\n',
     'ontology_comment4xi': '      <rdfs:comment xml:lang="en">Operations</rdfs:comment>\n',
     'operation_comment4xi': '      <rdfs:comment xml:lang="en">Operations for pickle4xi in Multiprocessing.</rdfs:comment>\n',
     'class0_id4xi': '   <owl:Class rdf:ID="reasoned#000000">\n',
     'class0_comment4xi': '      <rdfs:comment xml:lang="en">Operations pickle4xi in Multiprocessing.</rdfs:comment>\n',
     'object_property_rdf4xi': '   <owl:ObjectProperty rdf:ID="reason#000000">\n',
     'object_property_comment4xi': '       <rdfs:comment xml:lang="en">reason</rdfs:comment>\n'}
       
    xml_trace_reason4xi(t2xi, context2reason)

    # -------------------------------------------------------------------------------------------------
    # ACE                         
    # -------------------------------------------------------------------------------------------------  
       
    context2ace = {
     'file_path4xi': '..\\..\\xml\\ace-pickle4xi.xml',
     'name_space4xi': '   xmlns="http://www.dragonxi8.com/ace/sw4xi/python32/owl/multiprocessing4xi.owl#"\n',
     'xml_base4xi': '   xml:base="http://www.dragonxi8.com/ace/sw4xi/python32/owl/multiprocessing4xi.owl">\n',
     'ontology_about4xi': '   <owl:Ontology rdf:about="Acing of Multiprocessing4Xi">\n',
     'ontology_comment4xi': '      <rdfs:comment xml:lang="en">Objects and values for pickle4xi in Multiprocessing.</rdfs:comment>\n',
     'class0_id4xi': '   <owl:Class rdf:ID="ACE4Xi#0000000">\n',
     'class0_comment4xi': '      <rdfs:comment xml:lang="en">Objects and values for pickle4xi in Multiprocessing.</rdfs:comment>\n',
     'object_property_rdf4xi': '   <owl:ObjectProperty rdf:ID="ace#0000000">\n',
     'object_property_comment4xi': '       <rdfs:comment xml:lang="en">000000</rdfs:comment>\n'}   
    
    xml_trace_ace4xi(t2xi, context2ace)


    # -------------------------------------------------------------------------------------------------
    # end of print_trace4xi                        
    # -------------------------------------------------------------------------------------------------  
#</function4xi>
  



# -------------------------------------------------------------------------------------------------
#<function4xi function = "test_pickle4xi" usage = "
#   testing pickle4xi
#">                             
#<state4xi status = "ACK4review; ACK4tagging; NACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def test_pickle4xi():
    global PickleKB4Xi    

    
    # ---------------------------------------------------------------------------------------------
    # 
    # ---------------------------------------------------------------------------------------------
 
    print('=' *33)
    print("STARTING TEST_PICKLE4XI")
    print('=' *33)
    
    # ---------------------------------------------------------------------------------------------
    # A, B .... _ 
    # ---------------------------------------------------------------------------------------------
        
    keys2pickledb = sorted(PickleKB4Xi.keys())
    
    for key2pickledb in keys2pickledb:
     
        # -----------------------------------------------------------------------------------------    
        #
        # -----------------------------------------------------------------------------------------     
        print('=' *33)
        print("STARTING LETTER : ", key2pickledb)
        print('=' *33)
        # STARTING LETTER :  _    

        # -----------------------------------------------------------------------------------------    
        #
        # -----------------------------------------------------------------------------------------     
        
        print('~' *33)        
        dictionary2pickle = PickleKB4Xi[key2pickledb]        
        print("STARTING DICTIONARY: ", dictionary2pickle)
        print('~' *33) 
        # STARTING DICTIONARY:  {'xml_trace_sense4xi': 'NACK4XI', '_reduce_partial4xi': 'NACK4XI', ...
                    
        keys2dictionary = sorted(dictionary2pickle.keys())
    
        # -----------------------------------------------------------------------------------------    
        #
        # -----------------------------------------------------------------------------------------     
                
        for key2dictionary in keys2dictionary:
   
            # -------------------------------------------------------------------------------------    
            #
            # -------------------------------------------------------------------------------------     
            
            print('~' *33)        
            object2pickle = key2dictionary        
            print("STARTING OBJECT: ", object2pickle)
            print('~' *33)         
            # _C4Xi, _MainProcess4Xi, _bootstrap4xi ....  
            
            # -------------------------------------------------------------------------------------    
            #
            # -------------------------------------------------------------------------------------     
            
            try:

                # ---------------------------------------------------------------------------------    
                #
                # ---------------------------------------------------------------------------------     
            
                pickle4xi(object2pickle)
                print('~' *33)                  
                print("PICKLED object: ", object2pickle)
                # PICKLED object:  _C4Xi, 
                
                dictionary2pickle[key2dictionary] = 'ACK4XI' 
                print('~' *33)
                                             
            except:

                # ---------------------------------------------------------------------------------    
                #
                # ---------------------------------------------------------------------------------     
                print('~' *33)              
                print("*** ERROR IN PICKLING OBJECT: ", object2pickle)
                print('~' *33) 
            # -------------------------------------------------------------------------------------    
            #
            # -------------------------------------------------------------------------------------     
        
        # -----------------------------------------------------------------------------------------    
        #
        # -----------------------------------------------------------------------------------------     
            
        print('~' *33)        
        print("COMPLETED  DICTIONARY: ", dictionary2pickle)
        print('~' *33) 
        # COMPLETED  DICTIONARY:
        #  {'xml_trace_sense4xi': 'ACK4XI', '_reduce_partial4xi': 'ACK4XI', 'set_listener4xi': 'ACK4XI', 'sense_lock4xi': 'ACK4XI', '_run_after_forkers4xi ': 'ACK4XI', 'ace_cache4xi': 'ACK4XI', 'xml_trace_reason4xi': 'ACK4XI', 'reason_cache4xi': 'ACK4XI', '_rebuild_partial4xi': 'ACK4XI', 'init_listener4xi': 'ACK4XI', '_MainProcess4Xi': 'ACK4XI', 'close_cache4xi': 'ACK4XI', '_xml_loads4xi': 'ACK4XI', 'ace_listener4xi': 'ACK4XI', '_xml_dumps4xi': 'ACK4XI', '_cleanup4xi': 'ACK4XI', '_serve4xi': 'ACK4XI', 'reason_listener4xi': 'ACK4XI', '_run_after_forkers4xi': 'ACK4XI', '_exit_function4xi': 'ACK4XI', 'clear_cache4xi': 'ACK4XI', '_finalizer4xi': 'ACK4XI', 'ace_lock4xi': 'ACK4XI', 'acquire_lock4xi': 'ACK4XI', '_get_listener4xi': 'ACK4XI', 'sense_listener4xi': 'ACK4XI', 'release_lock4xi': 'ACK4XI', 'get_cache4xi': 'ACK4XI', 'init_cache4xi': 'ACK4XI', 'reason_lock4xi': 'ACK4XI', '_reduce_method_descriptor4xi': 'ACK4XI', 'reset_cache4xi': 'ACK4XI', '_reset4xi': 'ACK4XI', 'add_cache4xi': 'ACK4XI', 'reset_listener4xi': 'ACK4XI', '_run_finalizers4xi': 'ACK4XI', 'remove_cache4xi': 'ACK4XI', '_new_value4xi': 'ACK4XI', 'sense_cache4xi': 'ACK4XI', 'get_listener4xi': 'ACK4XI', '_bootstrap4xi': 'ACK4XI', 'xml_trace_ace4xi': 'ACK4XI', 'get_lock4xi': 'ACK4XI', '_C4Xi': 'ACK4XI', '_check_logger_class4xi': 'ACK4XI', 'init_lock4xi': 'ACK4XI', '_reduce_method4xi': 'ACK4XI', 'reset_lock4xi': 'ACK4XI'}

        
        
        # -----------------------------------------------------------------------------------------    
        #
        # -----------------------------------------------------------------------------------------     
                    
        print('=' *33)
        print("COMPLETED LETTER : ", key2pickledb)
        print('=' *33)
        # COMPLETED LETTER :  _, a ... z            
    
        # -----------------------------------------------------------------------------------------    
        #
        # -----------------------------------------------------------------------------------------  
           
    # ---------------------------------------------------------------------------------------------
    # 
    # ---------------------------------------------------------------------------------------------
 
    print('=' *33)
    print("COMPLETED TEST_PICKLE4XI")
    print('=' *33)
            
#</function4xi>
 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "main" usage = "
# main function for testing pickle4xi
#"> 
#<state4xi status = "ACK4review; ACK4tagging; NACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def main(argv=None):
    global t2xi
    
    # ---------------------------------------------------------------------------------------------    
    # Set Trace
    # --------------------------------------------------------------------------------------------- 
    
    set_trace4xi() 
    
    
    # ---------------------------------------------------------------------------------------------    
    # 
    # --------------------------------------------------------------------------------------------- 
                   
    print('=' *33)
    print("SENSING PICKLING WITH YOURDRAGONXI!")  
    print('=' *33)

    
    test_pickle4xi()
    
    # ---------------------------------------------------------------------------------------------    
    # 
    # --------------------------------------------------------------------------------------------- 
       
    print('=' *33)
    print("SENSED PICKLING WITH YOURDRAGONXI!")    
    print('=' *33) 
    
    
    # ---------------------------------------------------------------------------------------------    
    # Print Trace
    # --------------------------------------------------------------------------------------------- 
        
    print_trace4xi(t2xi)                        
#</function4xi>
 
                
# -------------------------------------------------------------------------------------------------
#                               
# -------------------------------------------------------------------------------------------------
if __name__ == '__main__':
    main()

#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_pickle4xi.txt
#   sense-pickle4xi.xml
#   reason-pickle4xi.xml
#   ace-pickle4xi.xml

# =================================
# COMPLETED TEST_PICKLE4XI
# =================================
# SENSED ACTIVE -  test-dragonized-multiprocessing4xi
# <statistics4xi>
#     <active4xi>
#         <object4xi> ForkingPickler4Xi </object4xi>
#         <object4xi> pickle4xi </object4xi>
#     </active4xi>
# </statistics4xi>
# =================================
# SENSED TOTAL -  test-dragonized-multiprocessing4xi
# <statistics4xi>
#     <total4xi>
#         <passiveones4xi> 530 </passiveones4xi>
#         <activeones4xi> 2 </activeones4xi>
#         <allones4xi> 532 </allones4xi>
#         <totalones4xi> 532 </totalones4xi>
#     </total4xi>
# </statistics4xi>
# =================================    
#"
#>


# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 


#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of test_pickle4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/> 
